#include<iostream>
using namespace std;
int main()
{
    int N, st[100001], fi[100001], br=0, j=0;
    bool last_found=false;
    cin>>N;
    for(int i=0;i<N;i++){cin>>st[i];}
    for(int i=0;i<N;i++){cin>>fi[i];}
    st[N]=0;
    fi[N]=0;
    for(int i=0;i<N;)
    {
        while(st[i]!=fi[j])
        {
            j++;
        }
        while(st[i]==fi[j])
        {
            i++;
            j++;
        }
        br++;
        j=0;
    }
    cout<<br<<endl;
    return 0;
}